version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_posivibes
    restart: always
    ports:
      - "2240:22"  # SSH
      - "8084:8080"  # tomcat
    network_mode: bridge
    volumes:
      - wasconfig_posivibes:/usr/local/tomcat/conf
      - data_posivibes:/data #java팀 전용
      - wardata_posivibes:/usr/local/tomcat/webapps #default tomcat 경로 사용시
volumes:
    wasconfig_posivibes:
      external: true
    data_posivibes:
      external: true
    wardata_posivibes:
      external: true
